Subject: Re: [PATCH 01/10] ftgmac100: Upgrade to NETIF_F_HW_CSUM

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 12 Apr 2017 10:08:22 +1000

On Tue, 2017-04-11 at 20:03 -0400, David Miller wrote:
> > From: Benjamin Herrenschmidt <[email-masked]>
> Date: Wed, 12 Apr 2017 09:36:05 +1000
> 
> > I should call the helper when I don't recognize the protocol type in
> > the IP header, not just when the main skb protocol type is not IP.
> 
> That's correct.
> 
> > BTW. I'm not too familiar with how encapsulation works these days. I
> > wouldn't throw at that HW anything other than unencapsulated packets
> > for HW checksumming. Is checking skb->protocol to be IP and
> > ip_hdr(skb)->protocol to be IP, UDP or TCP enough ? IE. Will the latter
> > especially return the outer header ?
> 
> If skb->protocol is IP then yes ip_hdr() will point at the outermost
> header.

Great thanks. I'll repost later today in case some other comments still
come in.

Cheers,
Ben.